% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/decontPro.R
\name{decontPro}
\alias{decontPro}
\alias{decontPro,SingleCellExperiment-method}
\alias{decontPro,Seurat-method}
\alias{decontPro,ANY-method}
\title{Decontaminate using decontPro}
\usage{
decontPro(object, cell_type, ...)

\S4method{decontPro}{SingleCellExperiment}(object, cell_type, delta_sd = 2e-05, background_sd = 2e-06, ...)

\S4method{decontPro}{Seurat}(object, cell_type, delta_sd = 2e-05, background_sd = 2e-06, ...)

\S4method{decontPro}{ANY}(object, cell_type, delta_sd = 2e-05, background_sd = 2e-06, ...)
}
\arguments{
\item{object}{Data matrix NxM (feature x droplet).}

\item{cell_type}{1xM vector of cell type. 1-based.}

\item{...}{Additional arguments for generics.}

\item{delta_sd}{Prior variance for ambient contamination level.
Default to 2e-5.}

\item{background_sd}{Prior variance for background contamination level.
Default to 2e-6.}
}
\value{
A list containing decontaminated counts, and estimated parameters.
}
\description{
Decontaminate using decontPro
}
\examples{
# Simulated count matrix
counts <- matrix(sample(1:10,
                        1000,
                        replace = TRUE),
                 ncol = 10)

# Cell type indicator
k <- c(1, 1, 2, 2, 2, 3, 3, 4, 4, 4)

# Decontamination
out <- decontPro(counts, k, 1e-2, 1e-2)

# Decontaminated counts
decontaminated_counts <- out$decontaminated_counts
}
